Subject: Re: Cabal-Install doesn't work well on Windows.
From: shelarcy <[email-masked]>
To: [email-masked]
Cc: "Isaac Jones" <[email-masked]>
Date: Wed, 10 May 2006 13:02:00 +0900

Hello.

On Thu, 04 May 2006 09:31:35 +0900, Isaac Jones <[email-masked]>  
wrote:
> I'm sorry I didn't reply earlier.  We're scrapping that version of
> cabal-install and replacing it with a better version that can download
> packages from the internet.  I'd certainly be happy to hear any
> reports of how this works on windows.  I don't know if it works at
> all, and so any help would be great.

Windows (mingw) version of GHC has no System.Posix.Signals functions
and Types. System.Posix.Signals module exist, but no definition now.
Because Windows' native posix support is very very poor, so signal
support is also poor.

Cause of these reason. I can't build cabal-install on Windows Enviorment.

runhaskell Setup.lhs build notice these errors;

-----

../Network/Hackage/CabalInstall/Install.hs:107:39
     Not in scope: `installHandler'

../Network/Hackage/CabalInstall/Install.hs:107:54
     Not in scope: `keyboardSignal'

../Network/Hackage/CabalInstall/Install.hs:107:70
     Not in scope: data constructor `Catch'

../Network/Hackage/CabalInstall/Install.hs:109:25
     Not in scope: `installHandler'

../Network/Hackage/CabalInstall/Install.hs:109:40
     Not in scope: `keyboardSignal'

----

Does anyone have plan to support cabakl-install on Windows?
Or does anyone know that how to solove these problems?

-- 
shelarcy <shelarcy    capella.freemail.ne.jp>
http://page.freett.com/shelarcy/